/*------blog page---------------*/
.inr_bnr_section {
    height: 300px;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.inr_bnr_ttl_box_inr h1 {
    color: #fff;
}

.bd_text {
    padding: 10px 0;
}

span.bd_arw {
    padding: 0 5px;
}

.site_blog_box:nth-child(2n+2) .site_blog_inner_box {
    background: #0264AF2b;
}

.site_blog_box:nth-child(2n+2) .site_author_img {
    background: #fff;
}

.site_blog_block {
    gap: 35px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.site_blog_inner_box {
    box-shadow: rgb(2 34 106 / 20%) 5px 5px 25px;
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    display: block;
    position: relative;
}

.site_blog_box {
    display: inline-block;
    position: relative;
    border-radius: 10px;
    margin: 40px 0px 0;
    width: 31%;
    float: left;
    display: flex;
}

.site_blog_image img {
    width: 100%;
    height: 350px;
    object-fit: cover;
    background: #fff;
    border-radius: 10px;
    transition: 1s;
}

.site_blog_box:hover .site_img_hover img {
    filter: brightness(0.5);
}

.site_blog_image {
    line-height: 0;
    position: relative;
    margin-top: -65px;
}

.site_blog_title {
    font-size: 24px;
    color: #222;
    line-height: 1.3;
    text-transform: capitalize;
    font-weight: 700;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    margin: 30px 0 15px;
    transition: 0.5s !important;
}

.site_blog_read a {
    font-size: 16px;
    color: #000;
    text-transform: capitalize;
    font-weight: 700;
    line-height: 2;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-position: under;
    text-decoration-style: dashed;
    transition: 1s;
    padding-top: 5px;
    display: flex;
}

.site_blog_read a:hover {
    color: #0264AF;
}



.site_blog_content {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.site_blog_author_detail {
    display: flex;
    align-items: center;
    font-size: 15px;
    color: #000;
    text-transform: capitalize;
    padding-top: 20px;
}

.site_author {
    display: flex;
    align-items: center;
}

.site_author_img {
    width: 50px;
    height: 50px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
}

.site_author_img img {
    width: 35px;
    height: 35px;
    object-fit: contain;
}

.site_author_name {
    width: fit-content;
    padding-left: 0 !important;
}

.site_blog_date {
    position: absolute;
    top: 33px;
    left: 0;
    width: fit-content;
    height: fit-content;
    display: flex;
    background: #222;
    align-items: center;
    padding: 15px;
    color: #fff;
    font-size: 16px;
    letter-spacing: 0px;
    white-space: nowrap;
    transform: rotate(180deg);
    writing-mode: vertical-lr;
}

span.dot {
    background: #0264AF;
    width: 5px;
    height: 5px;
    display: flex;
    border-radius: 50px;
    margin-right: 10px;
}

.site_blog_box:hover .site_blog_title {
    color: #0264AF;
}

.site_blog_image a {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    line-height: 0;
    box-shadow: rgb(0 0 0 / 17%) 0px 5px 15px;
    display: flex;
    transition: 1s;
}

.site_img_hover {
    display: flex;
    width: 100%;
}

/*------------------end blog------------------*/
/*----------blog detail page----------*/
.blog_detail_block {
    display: flex;
    gap: 0px !important;
}

.blog_detail_left {
    width: 75%;
    padding-right: 20px;
}

.blog_detail_right {
    width: 25%;
}

.blog_detail_img img {
    height: 500px;
    width: 100%;
    object-fit: cover;
    border-radius: 10px;
    box-shadow: rgb(2 34 106 / 20%) 0px 7px 29px 0px;
}

.blog_deatil_inner_right {
    background: #fff;
    padding: 30px;
    box-shadow: rgb(2 34 106 / 24%) 0px 5px 15px;
    border-radius: 10px;
}

.blog_recent_title {
    font-size: 25px;
    color: #000;
    text-transform: capitalize;
    font-weight: 600;
    position: relative;
    padding: 10px 0;
}

.blog_right_box {
    display: flex;
    align-items: center;
    padding: 10px 0;
}

.blog_right_image {
    width: 30%;
    position: relative;
}

.blog_right_img img {
    width: 100%;
    height: 100px;
    object-fit: cover;
    border-radius: 10px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.blog_right_deatil {
    width: 70%;
    color: #000;
    font-size: 15px;
    padding-left: 15px;
    font-weight: 500;
}

.blog_right_title a {
    color: #000;
    font-size: 16px;
    font-weight: 600;
    line-height: 1.3;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    transform: 1s;
}

.blog_date_icon i {
    padding-right: 10px;
    color: #0264AF;
}

.blog_date_icon span {
    color: #222;
}

.blog_date_icon {
    padding: 5px 0 0;
}

.blog_right_number {
    position: absolute;
    top: -5px;
    left: -5px;
    background: #0264AF;
    width: 25px;
    height: 25px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 16px;
}

.blog_right_box:hover .blog_right_title a {
    color: #02226a;
}

.blog_detail_image {
    line-height: 0;
    position: relative;
    margin-top: -65px;
}

.blog_deatil_box {
    box-shadow: rgb(2 34 106 / 20%) 0px 7px 29px 0px;
    background: #fff;
    padding: 30px;
    border-radius: 10px;
    display: block;
    position: relative;
}

.blog_detail_title {
    font-size: 28px;
    font-weight: 600;
    color: #0264AF;
    padding: 25px 0 10px;
    line-height: 1.4;
    text-transform: capitalize;
}

.blog_deatil_box .site_blog_author_detail {
    padding: 0 0 15px;
}

.blog_detail_content span {
    line-height: 1.9;
    font-size: 16px;
    font-weight: 500;
    /* color: #000; */
    /* white-space: break-spaces; */
}

.blog_detail_content p {
    padding: 7px 0;
}

.blog_detail_content strong {
    line-height: 3;
}

.reply_btn .site_button.hover_button {
    height: 50px;
    line-height: 0;
}

.reply_input_12 {
    display: flex;
    gap: 20px;
}

.reply_input_6 {
    width: 100%;
}

.reply_input_6 input,
.replay_textarea_12 textarea {
    width: 100%;
    height: 50px;
    border: none;
    padding: 10px 0px;
    border-bottom: 1px solid #02226a;
    font-size: 16px;
}

.replay_textarea_12 {
    padding: 10px 0;
}

.replay_textarea_12 textarea {
    height: 80px;
    resize: none;
}

.blog_reply_box {
    box-shadow: rgb(2 34 106 / 20%) 0px 7px 29px 0px;
    padding: 40px;
    margin-top: 40px;
    border-radius: 10px;
}

.blog_col_box {
    padding-top: 30px;
}

/*----------end blog detail page----------*/
@media all and (min-width: 320px) and (max-width: 767px) {
    .inr_bnr_section {
        height: 250px;
        border-radius: 10px;
    }

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 40px 10px 60px !important;
    }

    .site_blog_image img {
        height: 275px;
    }

    .site_blog_block {
        gap: 20px;
    }

    .site_blog_inner_box {
        padding: 25px 15px;
    }

    .site_blog_title {
        font-size: 21px;
        margin: 20px 0 10px;
    }

    .site_blog_author_detail {
        padding-top: 10px;
    }

    .site_author_img img {
        width: 25px;
        height: 25px;
    }

    .site_author_img {
        width: 45px;
        height: 45px;
    }

    .site_blog_box {
        width: 100%;
    }

    /*-------blog detail----------*/
    .blog_detail_left {
        padding-right: 0px;
    }

    .blog_detail_row {
        padding-top: 80px !important;
    }

    .blog_detail_block {
        gap: 25px;
        display: grid;
    }

    .blog_detail_right {
        width: 100%;
    }

    .blog_detail_left {
        width: 100%;
    }

    .blog_deatil_inner_right,
    .blog_deatil_box,
    .blog_reply_box {
        padding: 30px 20px;
    }

    .blog_detail_title {
        font-size: 22px;
    }

    .blog_right_img img {
        height: 90px;
    }

    .blog_detail_img img {
        height: 300px;
    }

    .blog_right_box {
        padding: 5px 0;
        width: 100%;
    }

    /* 
    .blog_right_block {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
    } */

    .reply_input_12 {
        display: grid;
    }

    /*-------end blog detail----------*/
    /*----------------end blog---------------*/

}

@media all and (min-width: 768px) and (max-width: 980px) {

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 40px 10px 60px !important;
    }

    .site_blog_image img {
        height: 275px;
    }

    .site_blog_block {
        gap: 20px;
    }

    .site_blog_inner_box {
        padding: 25px 15px;
    }

    .site_blog_title {
        font-size: 21px;
        margin: 20px 0 10px;
    }

    .site_blog_author_detail {
        padding-top: 10px;
    }

    .site_author_img img {
        width: 25px;
        height: 25px;
    }

    .site_author_img {
        width: 45px;
        height: 45px;
    }

    .site_blog_box {
        width: 48%;
    }

    /*-------blog detail----------*/
    .blog_detail_row {
        padding: 80px 10px 100px !important;
    }

    .blog_detail_block {
        gap: 25px;
        display: grid;
    }

    .blog_detail_right {
        width: 100%;
    }

    .blog_detail_left {
        width: 100%;
    }

    .blog_deatil_inner_right,
    .blog_deatil_box,
    .blog_reply_box {
        padding: 30px 20px;
    }

    .blog_detail_title {
        font-size: 22px;
    }

    .blog_right_img img {
        height: 90px;
    }

    .blog_detail_img img {
        height: 390px;
    }

    .blog_right_box {
        padding: 0px 0;
        width: 48%;
    }

    .blog_right_block {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
    }

    .blog_detail_left {
        padding-right: 0px;
    }

    /*-------end blog detail----------*/
    /*----------------end blog---------------*/
}

@media only screen and (min-width: 981px) and (max-width: 1024px) {

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 50px 20px 70px !important;
    }

    .site_blog_image img {
        height: 275px;
    }

    .site_blog_block {
        gap: 20px;
    }

    .site_blog_inner_box {
        padding: 25px 15px;
    }

    .site_blog_title {
        font-size: 21px;
        margin: 20px 0 10px;
    }

    .site_blog_author_detail {
        padding-top: 10px;
    }

    .site_author_img img {
        width: 25px;
        height: 25px;
    }

    .site_author_img {
        width: 45px;
        height: 45px;
    }

    /*-------blog detail----------*/
    .blog_detail_block {
        gap: 25px;
    }

    .blog_detail_right {
        width: 30%;
    }

    .blog_detail_left {
        width: 70%;
    }

    .blog_deatil_inner_right,
    .blog_deatil_box,
    .blog_reply_box {
        padding: 30px 20px;
    }

    .blog_detail_title {
        font-size: 22px;
    }

    .blog_right_img img {
        height: 90px;
    }

    .blog_detail_img img {
        height: 390px;
    }

    /*-------end blog detail----------*/
    /*----------------end blog---------------*/
}

@media all and (min-width: 1025px) and (max-width: 1140px) {

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 50px 20px 70px !important;
    }

    .site_blog_image img {
        height: 275px;
    }

    .site_blog_block {
        gap: 20px;
    }

    .site_blog_inner_box {
        padding: 25px 15px;
    }

    .site_blog_title {
        font-size: 21px;
        margin: 20px 0 10px;
    }

    .site_blog_author_detail {
        padding-top: 10px;
    }

    .site_author_img img {
        width: 25px;
        height: 25px;
    }

    .site_author_img {
        width: 45px;
        height: 45px;
    }

    /*-------blog detail----------*/
    .blog_detail_block {
        gap: 25px;
    }

    .blog_detail_right {
        width: 30%;
    }

    .blog_detail_left {
        width: 70%;
    }

    .blog_deatil_inner_right,
    .blog_deatil_box,
    .blog_reply_box {
        padding: 30px 20px;
    }

    .blog_detail_title {
        font-size: 22px;
    }

    .blog_right_img img {
        height: 90px;
    }

    .blog_detail_img img {
        height: 420px;
    }

    /*-------end blog detail----------*/
    /*----------------end blog---------------*/
}

@media all and (min-width: 1141px) and (max-width: 1280px) {

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 50px 20px 70px !important;
    }

    .site_blog_image img {
        height: 275px;
    }

    .site_blog_block {
        gap: 20px;
    }

    .site_blog_inner_box {
        padding: 25px 15px;
    }

    .site_blog_title {
        font-size: 23px;
        margin: 20px 0 10px;
    }

    .site_blog_author_detail {
        padding-top: 10px;
    }

    /*-------blog detail----------*/
    .blog_detail_block {
        gap: 30px;
    }

    .blog_detail_right {
        width: 30%;
    }

    .blog_detail_left {
        width: 70%;
    }

    .blog_deatil_inner_right,
    .blog_deatil_box,
    .blog_reply_box {
        padding: 30px 20px;
    }

    .blog_detail_title {
        font-size: 22px;
    }

    .blog_detail_img img {
        height: 450px;
    }

    /*-------end blog detail----------*/
    /*----------------end blog---------------*/
}

@media all and (min-width: 1281px) and (max-width: 1440px) {

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 60px 30px 70px !important;
    }

    .site_blog_image img {
        height: 300px;
    }

    .site_blog_block {
        gap: 30px;
    }

    .site_blog_inner_box {
        padding: 25px;
    }

    .site_blog_title {
        font-size: 23px;
        margin: 20px 0 10px;
    }

    .site_blog_author_detail {
        padding-top: 10px;
    }

    /*-------blog detail----------*/
    .blog_detail_block {
        gap: 30px;
    }

    .blog_detail_right {
        width: 30%;
    }

    .blog_detail_left {
        width: 70%;
    }

    .blog_detail_title {
        font-size: 24px;
    }

    .blog_detail_img img {
        height: 480px;
    }

    /*-------end blog detail----------*/
    /*----------------end blog---------------*/
}

@media all and (min-width: 1441px) and (max-width: 1680px) {

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 70px 40px 70px !important;
    }

    .site_blog_image img {
        height: 300px;
    }

    /*-------blog detail----------*/
    .blog_detail_block {
        gap: 30px;
    }

    /*-------end blog detail----------*/
    /*----------------end blog---------------*/
}

@media all and (min-width: 1681px) and (max-width: 1880px) {

    /*----------------blog---------------*/
    .site_bolg_row {
        padding: 80px 100px !important;
    }

    /*----------------end blog---------------*/
}